<?php
/**
   * The template for Header.
   *
   *
   * @package   fcast WordPress Theme
   * @copyright Copyright (C) 2015, OrdaSoft
   * @license    http://www.gnu.org/licenses/gpl-2.0.html  GNU General Public License v2 or later
   * @author      AUTHOR <www.ordasoft.com>
   * fcast is distributed under the terms of the GNU GPL
*/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
    <?php if (get_theme_mod("fcast_favicon_img")) : ?>
        <link href="<?php echo esc_url(get_theme_mod("fcast_favicon_img")); ?>" rel="icon" type="image/x-icon" />
    <?php endif; ?>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <div id="site" class="hfeed site">
    <?php if ( get_header_image() ) : ?>
        <header id="header" class="header">
            <div class="header-top" style="background-image:url(<?php header_image(); ?>);">
    <?php else : ?>
        <header id="header" class="header">
            <div class="header-top" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/header.jpg);">
    <?php endif; ?>
            <div class="overlay-header">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-3 col-xs-2">
                        <div class="theme menu-container">
                            <a href="#navbar" id="toggle"><span></span></a>
                            <div id="navbar" class="navbar">
                                <nav id="primary-navigation" class="site-navigation primary-navigation" role="navigation">
                                    <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
                                </nav><!-- #site-navigation -->
                            </div><!-- #navbar -->
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-8 soc">
                        <?php get_template_part( 'social' ); ?>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-xs-2 logo-img">
                    <?php if ((get_theme_mod("fcast_logo_img"))&&(get_theme_mod('fcast_logo_link'))) : ?>
                        <a class="logo_link" href="<?php echo esc_url(get_theme_mod('fcast_logo_link')); ?>">
                            <img id="logo" src="<?php echo esc_url(get_theme_mod("fcast_logo_img")); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
                        </a>
                    <?php endif; ?>
                    <?php if ((get_theme_mod("fcast_logo_img"))&&(!get_theme_mod('fcast_logo_link'))) : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                            <img id="logo" src="<?php echo esc_url(get_theme_mod("fcast_logo_img")); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
                        </a>
                    <?php endif; ?>
                    <?php if ((!get_theme_mod("fcast_logo_img"))&&(get_theme_mod('fcast_logo_link'))) : ?>
                        <a class="logo_link" href="<?php echo esc_url(get_theme_mod('fcast_logo_link')); ?>">
                            <h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
                        </a>
                    <?php endif; ?>
                    <?php if ((!get_theme_mod("fcast_logo_img"))&&(!get_theme_mod('fcast_logo_link'))) : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                           <img id="logo" src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
                        </a>
                    <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php get_template_part( 'slider' ); ?>
        </div>
        <a class="top-up" href="#">
            <i class="fa fa-angle-double-up"></i>
        </a>
    </header><!-- header -->