<?php
/**
   * The template for Page.
   *
   *
   * @package   fcast WordPress Theme
   * @copyright Copyright (C) 2015, OrdaSoft
   * @license	 http://www.gnu.org/licenses/gpl-2.0.html  GNU General Public License v2 or later
   * @author	  AUTHOR <www.ordasoft.com>
   * fcast is distributed under the terms of the GNU GPL
*/
  $sidebar_left = false;
if (is_active_sidebar( 'sidebar_left' ) ) {
    $sidebar_left = true;
}

$sidebar_right = false;
if (is_active_sidebar( 'sidebar_right' ) ) {
    $sidebar_right = true;
}

if ((get_theme_mod('fcast_header_layout_other')) === 'header' ) :
    get_header();
elseif ((get_theme_mod('fcast_header_layout_other')) === 'header-main' ) :
    get_header('main');
else :
    get_header('main');
endif;
?>
<div id="page" class="site-page">
    <div id="content" class="site-content">
        <div class="row">
        <?php if (is_active_sidebar( 'sidebar_left' ) ) : ?>
            <div class="widgets col-lg-3 col-md-3 col-sm-3 col-xs-12">
                <article id="sidebar">
                    <?php  dynamic_sidebar('sidebar_left'); ?>
                </article>
              </div>
        <?php endif; ?>

        <?php if($sidebar_right && $sidebar_left) :
            echo ('<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">');
                echo ('<div class="page">');
        elseif($sidebar_right || $sidebar_left) :
            echo ('<div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">');
                echo ('<div class="page">');
        else :
            echo ('<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">');
                echo ('<div class="page container">');
        endif; ?>
                    <h2 class="entry-title"><?php the_title(); ?></h2>
                    <?php while ( have_posts() ) : the_post(); ?>
                    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
                        <div class="entry-thumbnail">
                            <?php the_post_thumbnail(); ?>
                        </div>
                        <?php endif; ?>
                        <div class="entry-content">
                            <?php the_content(); ?>
                        </div><!-- .entry-content -->
                    </div><!-- #post -->
                    <?php endwhile; ?>
                </div>
            </div>
            <?php if (is_active_sidebar( 'sidebar_right' ) ) : ?>
            <div class="widgets col-lg-3 col-md-3 col-sm-3 col-xs-12">
                <article id="sidebar">
                    <?php dynamic_sidebar('sidebar_right'); ?>
                </article>
            </div>
            <?php endif; ?>
          </div>
    </div>
</div><!-- #main -->
<?php get_footer(); ?>